---
title: Two-stage digital marketing
description: Informative websites perform double duty.  They're helpful to consumers and boost your search rankings.  
date: 2021-04-09
tags:
  - marketing
layout: layouts/post.njk
---

Marketing happens in two distinct stages:

- **Brand recognition**'s goal is to notify potential consumers that you exist.  This is the "*How did you hear about us?*" stage.  Newspaper ads, billboards, radio spots, word of mouth, etc.  
- **Information gathering** is how consumers actually decide to buy a product or service, compared to its competitors.  

For example, say you need the oil changed on your car.  You could look in the phone book, or ask your friends who "their guy" is.  This is **brand recognition**.  Once you have a list of potential mechanics, you might call them one-by-one to find out who's cheapest, or if they work on your vehicle make.  This is **information gathering**.  

An effective marketing strategy should involve both stages.  Digital marketing works the same way.  

Insufficient brand recognition means nobody even knows about your business.  This, however, can be remedied with advertising.  It's the sort of problem that you can just throw money at.  

The information gathering phase requires some attention.  If people repeatedly call your business and there's no answer, the average consumer will go down their list and call the next guy.  


## Websites for information-gathering

Lots of modern websites fail to actually convey information.  The average mechanic's website doesn't list pricing or the types of vehicles they work on.  So consumers in the information-gathering phase *have* to call.  There are a few problems with that:

 - The phone lines are only open during business hours, so potential clients can only gather information during that time.  And if *they* have a job and their boss doesn't want them using the office phone for their own information-gathering, this can be a serious problem.  
 - Frequently-asked questions tie up the phone lines as your secretary has to repeatedly answer the same question over and over.  
 - The secretary, or whoever answers the phone, is human.  If they provide bad or incomplete information, you can lose business.  If the caller so much as perceives them as rude, you can lose business.  

Having a human answer the phone to answer questions is clearly a weak point in the information-gathering phase.  Using a website for this phase provides many advantages:

 - The website works 24/7, so your potential customers can gather information on their own time, after work.  
 - The website provides standardized information that's easy to the owner to confirm.  No wrong answers; no incomplete answers.  

Of course, a website can't answer *every* question.  You'll still need someone to man the phones to answer specific questions about their specific problem.  But if people are calling with the same questions, the website can do most of the heavy lifting.  

I can't speak for everyone, but personally, I prefer to get information on a website.  Making phone calls is just not very fun.  If I already know, from google, that a business will satisfy my needs at a good price, why would I go through the hassle of calling around?  

## Websites for brand recognition

The brand-recognition phase of a digital marketing strategy is search engine optimization (SEO).  This is the art and science of getting your site on Google's search results page.  I wrote a post about [How search engines rank results](/posts/how-search-engines-rank-results), but to summarize, Google "prefers" websites that are clean, fast, secure, well-organized, and convey useful information.  

That's why a website that provides information for potential customers actually performs double-duty:

- Customers find the information they need without having to call
- Google ranks the informative website higher in search results

Here at SLV IT, our [websites](/services/websites) are purpose-built to do both these jobs.  These websites are simple, but they provide both stages of a complete digital marketing strategy.  
