---
title: Multi-vector SEO
description: Providing information to visitors coming from one search vector boosts your rankings across all queries.
date: 2021-04-14
tags:
 - seo
layout: layouts/post.njk
---

Before Google, there were phone books.  They were big paperback books with thin pages.  They contained lists of phone numbers.  They were always yellow for some reason.  If you needed, say, a web designer, you'd look under "w" and there would be a list of web design companies with their phone number and address.  

Phonebooks have been superseded by websearch, as have dictionaries and encyclopedias.  Google, in their quest to provide the most relevant results, tracks the results that searchers click on and puts those results higher.  This helps the best sites get to the top.  

So instead of exclusively publishing content about a business, we write content about the industry in general.  This demonstrates to Google that you have an informative website, providing value to internet searchers.  Google, in turn, will promote your site for business searches too.  

For example, if you run a septic pumping company, you will only be able to write so much content about how well your company can pump sludge.  And your site will only show up in searches for it directly.  This is single-vector SEO.  However, you can put up content about new septic tank innovations, how-to articles on how to cast your own septic tank, or stories about the world's largest septic tank.  This kind of content isn't about your company at all, but it is informative.  It draws traffic to your site from various google searches: you're advertising across multiple search vectors.  

Providing this keyword-based content shows Google that you are providing a good website for their users and raises your search rankings across all queries.  I wrote more about [how Google ranks results](/posts/how-search-engines-rank-results) in a previous post.  
