---
title: AI-powered content writing
description: Modern algorithms can generate text that looks human-generated.  How will SEO be affected?
date: 2021-05-18
tags:
 - seo
 - marketing
layout: layouts/post.njk
---

[**GPT**](https://arxiv.org/abs/2005.14165) is neural network language model used to generate text.  At times, it can produce uncannily human-like writing, as in this example, which I generated from this pages meta-description using gpt2:

> **Modern algorithms can generate text that looks human-generated. How will SEO be affected?**  Well, it's hard to say for sure, as it's impossible to know how much human input goes into the creation of an algorithm.  However, we do know that, in addition to the time and effort taken by human editors and designers, the average human spends anywhere from 40-50 hours creating a single web page. And, most importantly, as many as half the web page is written in plain English.

Sure, it is fluffy and doesn't make any sense, but it would be very hard for another algorithm, such a a web crawler, to tell if it was written by a human or an AI.  

[Search engines rank results](/posts/how-search-engines-rank-results/) in no small part based on the text on that webpage and how "relevant" it is.  Since Google's algorithm attempts to ignore useless text like keyword stuffing, it will likely also start detecting computer-generated text.  Otherwise, AI-generated articles will become the new keyword stuffing.  

I'm not sure how search engines attempt to determine computer-generated garbage from quality content.  One method could be to track the behavior of searchers to try to determine which sites were the most helpful in solving the query (for example, which site did the searcher visit last?  Maybe they found the answer they were looking for there.)  

In any case, using an AI like GPT might be effective in generating content to boost search results, but since the content is not actually useful to the searcher, search engines are likely to start punishing this behavior with lower rankings, if they haven't already.  
