---
layout: layouts/base.njk
title: Services
eleventyNavigation:
  key: Services
  order: 2
---

# {{title}}

**San Luis Valley IT** provides all kinds of IT services, including websites and mailservers.  Everything we offer is:

- **Fast**, lightweight, and unbloated.  Just what you need and nothing more.  
- **Secure** built-in from the ground up.  Systems are isolated in containers and access-controlled through our own VPN.  
- **Backed up** so when things go wrong, we can make them right again.  

Don't see what you need?  [Contact us](/contact) and let's talk about it.


## [Websites](websites/)

If you don't have a website, we can make one for you.  Our high-quality websites are simple and fast.  They're mobile- and SEO-ready.  They're affordable and extendable.  

|                                               |                                     |
|:----------------------------------------------|------------------------------------:|
| [**Static sites**](websites/static/)          | ${{prices.website.staticPage}}/page |
| [**Theming**](websites/themes/)          | +${{prices.website.theme.custom}}   |
| [**SEO-optimized posts**](websites/seo/)      | ${{prices.website.post.blog}}       |

## [Hosting](hosting/)

Already have a website?  Save money and hassle by hosting with us.  Our secure hosting comes with DNS management and SSL built in.  We also offer groupware, emails, and git repo hosting on your domain.

|                                                     |                                               |
|:----------------------------------------------------|:----------------------------------------------|
| [**Hosting transfer**](hosting/transfer/)           | ${{prices.hosting.www.transfer}}              |
| [**Static site hosting**](hosting/static/)          | ${{prices.hosting.www.static.month}}/month    |
| [**WordPress hosting**](hosting/wordpress/)         | ${{prices.hosting.www.wordpress.month}}/month |
| [**Mailserver hosting**](hosting/email/)            | ${{prices.hosting.mailserver.month}}/month    |
| [**Nextcloud hosting**](hosting/nextcloud/)         | ${{prices.hosting.nextcloud.month}}/month     |
| [**Rainloop hosting**](hosting/email/#mail-clients) | ${{prices.hosting.rainloop.month}}/month      |
| [**Gitea hosting**](hosting/gitea/)                 | ${{prices.hosting.gitea.month}}/month         |


## [Hardware, networking](hardware/)

Secure network configurations, in-house VPNs, data storage and recovery services.

|                               |   |
|:------------------------------|:--|
| [**Cloud storage**](hardware/storage/)         | ${{prices.hardware.data.storageGbMonth*100}}/100gb/month
| [**Network configuration**](hardware/networking/)         | ${{prices.hardware.networkConfigHost}}/host
| [**Virtual Private Network (VPN)**](hardware/vpn/) | ${{prices.hardware.vpnHostMonth}}/host/month
| [**Backups**](hardware/backups/)                       | ${{prices.hardware.data.backupsGbMonth*100}}/100gb/month
| [**GPS tracking**](hardware/gps-tracking/)                  | ${{prices.hardware.gpsTrackingVehicleMonth}}/vehicle/month (requires [NextCloud](/services/hosting/nextcloud/))
| [**Data entry/parsing**](hardware/data/#data-entry-and-parsing)            | contact
| [**Data recovery**](hardware/data/#data-recovery)                    | contact

## [Support, lessons](support/)

Having trouble with your printer?  Not sure what that error message means?  Just need someone to talk to?  Call us at {{metadata.phone}}.  

We also offer tutoring and lessons for all ages with flexible scheduling.  

You can use this pricing table to work up a quote for yourself.  __For example__, for a half-hour repair at a client which is 40 miles away, we would charge ${{ prices.support.drivingMile * 80 }} for the round-trip drive, plus ${{ (prices.support.repairsHour / 2).toFixed(2) }} for the fix.

|                                         |                                                  |
|:----------------------------------------|:-------------------------------------------------|
| [**Help desk**](support/help-desk/)      | ${{prices.support.helpdeskHour}}/hour           |
| [**Repairs**](support/repairs/)          | ${{prices.support.repairsHour}}/hour            |
| [**Tutoring/lessons**](support/lessons/) | ${{prices.support.tutoringHour}}/hour           |
| [**Restorations**](support/restoration/)          | {{prices.support.restoration}}
| **Driving**                              | ${{prices.support.drivingMile.toFixed(2)}}/mile |

---

Not finding what you need?  [Contact us](/contact) to discuss custom software and deployments.  
