---
layout: layouts/base.njk
title: Data services
templateClass: tmpl-post
eleventyNavigation:
  key: Data
  parent: Hardware
  order: 8
---

# {{title}}

SLVIT can not only help you with the storage or backing up of your data.  We also "massage" data to fit your needs.  What does that even mean???  Read on.  

## Data entry and parsing


**Data entry** is the act of copying data from paper documents or a legacy computer format into a new computer format.  This may include scanning of old photos or documents, running character recognition software on the resulting scans, and/or adapting the data structure to fit in a new database.  

Restructuring digital data from one format to another is called **parsing**.  Sometimes conversion tools are available to convert one format into another.  When they aren't, a custom script can be programmed to do this one-time conversion.  

Data entry and parsing can be very slow when done by hand.  Don't make the mistake of hiring a minimum wage worker to read data and type it into a new database by hand.  With larger data sets, this can become prohibitively expensive.  SLVIT can help you scan, recognize, parse, and/or convert your data quickly and economically.  

|              |                                  |
|:-------------|---------------------------------:|
| **Data entry/parsing** | {{prices.hardware.data.entryParsing}} |


## Data recovery

When a hard drive or USB stick breaks or errors out, the data on it is not necessarily lost!  It can often be recovered even if the hardware is permanently broken.  

Sometimes a small filesystem error can brick a perfectly good device.  With the right tools, the data from the drive can be cloned to a new drive.  In many such cases, the original drive can be reformatted and reused.  If you experience filesystem errors, don't reformat the drive!  This will likely fix the problem but wipe all the data.  Instead, bring the whole drive to a trusted data recovery expert like SLVIT.  

|                   |                                  |
|:------------------|---------------------------------:|
| **Data recovery** | ${{prices.hardware.data.recoveryDrive}}/drive |
