---
layout: layouts/base.njk
title: Virtual Private Network
templateClass: tmpl-post
eleventyNavigation:
  key: VPN
  parent: Hardware
  order: 4
---

# {{title}}

A **Virtual Private Network (VPN)** is a networking service that makes connecting computers across the internet easier and more secure.  

For two computers to transmit data over the internet, their local routers must be specifically configured for each service (email, websites, ftp, etc).  Computers connected on a VPN appear to each other as if they were in the same room, meaning no configuration.  

A separate, virtual network allows for more fine-tuned firewall rules.  For example, traffic to services like [groupware](/services/hosting/nextcloud.md) can be blocked to the public internet, making them completely invisible.  VPN-connected devices, however, can access the services from anywhere in the world over an end-to-end encrypted connection. 

SLVIT uses Wireguard for its encrypted virtual networks.  Wireguard is a state-of-the art vpn software with frequently-updated strong encryption suites.  Its lightweight codebase ensures a smaller attack vector.  This is also why wireguard [outperforms](https://www.wireguard.com/performance/) other VPNs in benchmarks.  

|              |                                  |
|:-------------|---------------------------------:|
| **VPN hosting** | ${{prices.hardware.vpnHostMonth}}/host/month |
