---
layout: layouts/base.njk
title: Hosting
templateClass: tmpl-post
eleventyNavigation:
  key: Hosting
  parent: Services
  order: 2
---

# {{title}}

Affordable hosting that just works.  Let us host your existing Wordpress, mailserver, or nextcloud for a fraction of what you're paying now.  If you don't have one already, we also *build* [simple basic websites](/services/websites).  All hosting comes with SSL encryption, docker containerization, and domain name service.  

## Encryption

**SSL** and **TLS** are the technologies that secure the data transfer between your site and its visitors.  This is needed to provide a site over HTTPS instead of HTTP.  

Sites that are https-encrypted show a small lock at the top of the browser.  Unencrypted sites are sometimes shown as "not secure".  

HTTPS sites are also ranked higher in search results pages than unencrypted ones.  

## Containerization

Your website and its dependencies are hosted in isolated docker containers.  This provides additional security and uptime.

- **Isolation** means that security flaws on another site do not translate to vulnerabilities on yours.  
- **Standardized builds** make less room for compatibility errors

## Domain names

Don't have a domain name?  We can set you up with one.  Already have one?  bring it to our servers and we'll manage it for you at cost.  

## Services

All hosting services come with a 100gb disk quota, but additional space can be made available with the purchase of additional [NAS](/services/hardware/nas).  

|                                             |                                               |
|:--------------------------------------------|:----------------------------------------------|
| [**Static site hosting**](static/)          | ${{prices.hosting.www.static.month}}/month    |
| [**WordPress hosting**](wordpress/)         | ${{prices.hosting.www.wordpress.month}}/month |
| [**Mailserver hosting**](email/)            | ${{prices.hosting.mailserver.month}}/month    |
| [**Nextcloud hosting**](nextcloud/)         | ${{prices.hosting.nextcloud.month}}/month     |
| [**Rainloop hosting**](rainloop/) | ${{prices.hosting.rainloop.month}}/month      |
| [**Gitea hosting**](gitea/)                 | ${{prices.hosting.gitea.month}}/month         |
