---
layout: layouts/base.njk
title: SEO
templateClass: tmpl-post
eleventyNavigation:
  key: SEO
  parent: Websites
  order: 3
---

# {{title}}

San Luis Valley IT provides the best digital marketing in the valley.  Our strategies are aligned with Google's goal to provide the best search results for their users.  We don't rely on sketchy techniques that eventually get discovered and punished by Google.  For more on this, read about [how search engines rank results](/posts/how-search-engines-rank-results/).  

> [**Posts about SEO** >](/tags/seo/)

## Site design

Google ranks faster sites higher, but they don't care if you have lots of flashy images and plugins.  That's why all our [websites](/services/websites) are simple and fast.  

We can also tweak your existing website to make it load faster.  We can also add a favicon, encryption, and mobile design, if you don't have it already.  Depending on the site's complexity and what's already been done, we price these modifications on a case-by-case basis.  

Once your site is properly peaked and tuned, the best investment you can make to increase your rankings is to add good content.  

## Content writing

A lot of web development is writing.  We can add quality text to your site and blog.  Our writing is not outsourced overseas or [to AI bots](/posts/ai-content-writing/): we specialize the content to your product.  Our content follows our philosophy of doing what's necessary and nothing more: no wordy passages, just information for your clients.  

> **A page of quality, SEO-optimized content**: ${{prices.website.post.blog}}/ea

Google ranks sites higher if they continue to provide quality content over time.  That's why we offer content writing as a service:

> **A page of quality content every month**: ${{prices.website.post.12blog}}/yr
