---
title: How search engines rank results
description: Google has the daunting task of finding and ranking results for your search terms.  How do they do this?  
date: 2021-04-09
tags:
  - seo
layout: layouts/post.njk
---

People don't use the phone book anymore.  If you're looking for a product or service, you search for it on Google and try to collect information on the first couple of results.  So being at the top of search results is lucrative.  Google has a ton of power, in that they can unilaterally decide who gets customers and who doesn't.  But how does Google actually determine which business deserves to be on top?  

## The algorithm: a brief history

One of the oldest methods that search engines use is to count keywords on websites.  For example, if a user searches for "widgets", the search engine could list all the pages that mention "widgets" and then sort them by the number of times that site mentions that word.  The page that says "widgets" the most is probably the most relevant site to the person searching for "widgets", so the search engine lists that page first.  

Now, if you want your widgets site to be at the top of the list, an easy way to do that would be to fill your page with the word "widgets" over and over again.  This is an SEO technique called **keyword stuffing** and was the easiest way to promote your site in search rankings.  

That is, until Google got wise and put an end to it.  They modified their algorithm to ignore repeated text like that, and started *punishing* keyword-stuffed sites with lower rankings.  

## Hacking the algo... but, let's not

Google's reasoning for punishing keyword stuffing is obvious.  They were no longer providing the most *relevant* results for the word "widgets", they were providing the most keyword-stuffed results.  

Keyword stuffing is not the only hacky way of exploiting the algorithm.  SEO companies have been finding all kinds of sketchy techniques to promote their clients with the least effort.  And then google figures out what's happening and starts punishing those sites instead of promoting them.  

This created a sort of arms race with SEO companies trying to figure out how to exploit the algorithm as long as possible before Google finds out.  If you call SEO companies, they will often tell you that they have some secret sauce to promote your site in the results... but they can't tell you about it.  The real question is, how long is that sauce going to work before Google figures it out?   When they do, they'll start demoting your site, long after the SEO firm has jumped ship with wheelbarrows full of money.  

## What Google wants

These "hacky" methods of SEO all have something in common.  They don't align with the ultimate goal of Google's algorithm: to provide the best results for a given query.  

Much of Google's algorithm is secret because they want to prevent its exploitation.  We can, however, learn more about what they want from what they publicly reveal.  Google has openly stated that they promote sites that:

- Are encrypted with HTTPS
- Load fast
- Provide a mobile-friendly interface
- Do not contain keyword-stuffed or computer-generated text

Google still uses keyword analysis to determine relevancy... but they are clearly intent on promoting sites that are (for lack of a better word) "good".  Having a site that's fast, encrypted, and mobile-friendly is inherently good for its users, so google promotes those sites.  Having a site that's computer generated and doesn't convey any actual information... that's bad.  

So instead of focusing on getting ahead of the algorithm, let's work *with* it and try to design sites that are "good".  The definition of good is still set by our search engine overlords, but it's good for them if we make "good" sites, so they define "good" publicly.  

Google likes to see text with keywords on your site... but not fake text.  Clearly, they want your site to be informative and genuine.  So let's start there.  

Good sites convey information.  Good sites are fast and simple.  Nowhere does Google say that good sites have to be colorful, have images, or fancy theming.  Those things are pretty, but Google doesn't care.  And if your fancy theme makes your site load slower... that's bad.  

## Conclusions

If you want to promote your site on Google, your best bet is to make something informative and simple.  That's why our websites are simple, clean, and full of keyword-targeted content.  
