---
layout: layouts/base.njk
title: Static website hosting
templateClass: tmpl-post
eleventyNavigation:
  key: Static
  parent: Hosting
  order: 1
---

# {{title}}

Most sites on the web are dynamically rendered.  This means that every time the website is loaded, the server generates the page from its template file and data from a database.  This consumes an unnecessary amount of resources, especially at scale.  

**Static sites**, in contrast are generated only once when the content is modified.  In addition to dramatically faster sites with lower server costs, static sites are: 

- **More secure** because there is no server-side code that can be exploited in cyber attacks
- **Easier to use** because content can be edited in markdown instead of buggy WYSIWYG. 
- **More customizable** because any HTML/CSS theme can be used, not only the ones locked in your CMS platform.  
- **More resilient** because they can be served over any CDN or IPFS without the need for server-side code execution


|              |                                  |
|:-------------|---------------------------------:|
| **Static hosting** | ${{prices.hosting.static.month}}/month |
